Loading...
Searching...
No Matches
Gfx::ModelInput Namespace Reference

Functions related to model loading. More...

## Functions

void | ReadTextModel (CModel &model, std::istream &stream)
void | ReadTextModelV1AndV2 (CModel &model, std::istream &stream)
void | ReadTextModelV3 (CModel &model, std::istream &stream)
ModelHeaderV3 | ReadTextHeader (std::istream &stream)
CModelMesh | ReadTextMesh (std::istream &stream)
void | ReadBinaryModel (CModel &model, std::istream &stream)
void | ReadBinaryModelV1AndV2 (CModel &model, std::istream &stream)
void | ReadBinaryModelV3 (CModel &model, std::istream &stream)
void | ReadOldModel (CModel &model, std::istream &stream)
std::vector< ModelTriangle > | ReadOldModelV1 (std::istream &stream, int totalTriangles)
std::vector< ModelTriangle > | ReadOldModelV2 (std::istream &stream, int totalTriangles)
std::vector< ModelTriangle > | ReadOldModelV3 (std::istream &stream, int totalTriangles)
Vertex | ReadBinaryVertex (std::istream &stream)
VertexTex2 | ReadBinaryVertexTex2 (std::istream &stream)
Material | ReadBinaryMaterial (std::istream &stream)
std::string | ReadLineString (std::istream &stream, const std::string &expectedPrefix)
void | ReadValuePrefix (std::istream &stream, const std::string &expectedPrefix)
VertexTex2 | ParseVertexTex2 (const std::string &text)
Material | ParseMaterial (const std::string &text)
Math::Vector | ParseVector (const std::string &text)
ModelCrashSphere | ParseCrashSphere (const std::string &text)
ModelShadowSpot | ParseShadowSpot (const std::string &text)
Math::Sphere | ParseCameraCollisionSphere (const std::string &text)
ModelTransparentMode | ParseTransparentMode (const std::string &text)
ModelSpecialMark | ParseSpecialMark (const std::string &text)
void | ConvertOldTex1Name (ModelTriangle &triangle, const char *tex1Name)
void | ConvertFromOldRenderState (ModelTriangle &triangle, int state)
ModelLODLevel | MinMaxToLodLevel (float min, float max)
CModel | Read (std::istream &stream, ModelFormat format)
| Reads model from stream in given format.

## Detailed Description

Functions related to model loading.

## Function Documentation

## Read()

CModel Gfx::ModelInput::Read | ( | std::istream & | stream,
|  | ModelFormat | format )

Reads model from stream in given format.

Exceptions

  CModelIOException | on read/write error